MagickCore: coder.c File Reference

# coder.c File Reference

`#include "magick/studio.h"`
`#include "magick/blob.h"`
`#include "magick/client.h"`
`#include "magick/coder.h"`
`#include "magick/configure.h"`
`#include "magick/draw.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/hashmap.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/option.h"`
`#include "magick/semaphore.h"`
`#include "magick/string_.h"`
`#include "magick/splay-tree.h"`
`#include "magick/token.h"`
`#include "magick/utility.h"`
`#include "magick/xml-tree.h"`

## Defines
#define | MagickCoderFilename "coder.xml"
## Functions
static MagickBooleanType | InitializeCoderList (ExceptionInfo *)
static MagickBooleanType | LoadCoderLists (const char *, ExceptionInfo *)
MagickExport void | DestroyCoderList (void)
MagickExport const CoderInfo * | GetCoderInfo (const char *name, ExceptionInfo *exception)
static int | CoderInfoCompare (const void *x, const void *y)
MagickExport const CoderInfo ** | GetCoderInfoList (const char *pattern, unsigned long *number_coders, ExceptionInfo *exception)
static int | CoderCompare (const void *x, const void *y)
MagickExport char ** | GetCoderList (const char *pattern, unsigned long *number_coders, ExceptionInfo *exception)
MagickExport MagickBooleanType | ListCoderInfo (FILE *file, ExceptionInfo *exception)
static void * | DestroyCoderNode (void *coder_info)
static MagickBooleanType | LoadCoderList (const char *xml, const char *filename, const unsigned long depth, ExceptionInfo *exception)
## Variables
static const char * | CoderMap
static SemaphoreInfo * | coder_semaphore = (SemaphoreInfo *) NULL
static SplayTreeInfo * | coder_list = (SplayTreeInfo *) NULL
static volatile MagickBooleanType | instantiate_coder = MagickFalse

## Define Documentation

#define MagickCoderFilename "coder.xml"

## Function Documentation

static int CoderCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

static int CoderInfoCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

MagickExport void DestroyCoderList | ( | void |  | ) |

static void* DestroyCoderNode | ( | void * | coder_info | ) | `[static]`

MagickExport const CoderInfo* GetCoderInfo | ( | const char * | name,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport const CoderInfo** GetCoderInfoList | ( | const char * | pattern,
|  | unsigned long * | number_coders,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport char** GetCoderList | ( | const char * | pattern,
|  | unsigned long * | number_coders,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickBooleanType InitializeCoderList | ( | ExceptionInfo * | exception | ) | `[static]`

MagickExport MagickBooleanType ListCoderInfo | ( | FILE * | file,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickBooleanType LoadCoderList | ( | const char * | xml,
|  | const char * | filename,
|  | const unsigned long | depth,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickBooleanType LoadCoderLists | ( | const char * | filename,
|  | ExceptionInfo * | exception |
| ) |  |  |

## Variable Documentation

SplayTreeInfo* coder_list = (SplayTreeInfo *) NULL`[static]`

SemaphoreInfo* coder_semaphore = (SemaphoreInfo *) NULL`[static]`

const char* CoderMap`[static]`

volatile MagickBooleanType instantiate_coder = MagickFalse`[static]`